/* --- GENERAL RULES --- */
* {
	box-sizing: border-box;
}

html, body {
	font-family: sans-serif;
	background-color: #ffffff;
}

.layout-wrapper {
	padding-left: 200px;
	padding-top: 40px;
}

.layout {
	padding: 2rem;
}
/* --- END OF GENERAL RULES --- */

/* --- LOGIN / SIGNUP FORMS --- */
.background {
	background: rgb(0,79,140);
	background: linear-gradient(150deg, rgba(0,79,140,1) 20%, rgba(253,29,29,1) 75%, rgba(227,82,5,1) 100%);
}

.form-wrapper {
	position: relative;
	top: 5vh;
	margin: 40px auto;
	padding: 20px 10px;
	overflow: hidden;
	box-shadow: 3px 5px 5px 10px rgba(0, 0, 0, 0.2);
	width: 350px;
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	align-items: center;
	border: 1px solid #E0E0E0;
	border-radius: 4px;
	background-color: #ffffff;
}

.form-wrapper .header {
	padding: 0;
	text-align: center;
	margin-bottom: 20px;
}

.form-wrapper .header > * {
	margin: 10px auto;
}

.form-wrapper .header h1 {
	font-size: 3em;
	color: #004f8c;
}

body .form-wrapper .btn-submit {
	margin: 20px auto; 
	border-radius: 4px;
	padding: 0.2rem auto;
	font-size: 0.95em;
}

.form-wrapper.sign-up {
	width: 500px;
}

.form-control {
	margin-top: 10px;
	position: relative;
	border-radius: 4px;
	width: 320px;
}

.form-control input {
	border-radius: 5px;
	display: block;
	font-size: 14px;
	padding: 10px;
}

.form-control small {
	padding: 0;
	margin: 0;
	display: flex;
	white-space: wrap;
}

.form-link {
	align-self: flex-end;
	text-align: center;
}

.password-reset {
	text-align: center;
}

.ui-message-error {
	background-color: transparent;
	border-color: transparent;
	margin: 0;
	padding: 0;
}

.ui-message-error-detail {
	margin: 0;
}

label.ui-state-error {
	background: inherit;
	color: inherit;
}

span.ui-outputlabel-rfi {
	color: #cd0a0a;
}
/* --- END OF LOGIN / SIGNUP FORMS */

/* --- DASHBOARD --- */
.overview-card {
	height: 450px;
}

.card.overview-card .task-chart {
	height: 300px;
}

.card h1 {
	margin: 10px 0;
}

.card p {
	margin-top: 0;
	margin-bottom: 20px;
}

.teams-card {
	height: 450px;
}

.tasks-card {
	height: 350px;
}

.member {
	display: flex;
	justify-content: space-between;
	align-items: center;
	align-content: center;
}

.mailto-container {
	position: relative;
	width: 30px;
	height: 30px;
	background-color: #F24405;
	text-align: center;
	padding: 20px;
	border-radius: 50%;
}

.mailto-container .link {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.mailto-container .link {
	color: #fff;
}
/* --- END OF DASHBOARD --- */

/* --- TEAMS PAGE --- */
.team-select {
	margin-bottom: 20px;
}
/* --- END OF TEAMS PAGE --- */
.card.details {
	max-width: 80%;
	min-width: 400px;
}

.content-wrapper {
	position: relative;
	top: 40px;
	left: 200px;
	width: 600px;
	margin: 20px auto;
	margin-left: 10vw; 	
}

body .content-header > h1 {
	font-size: 3em;
	margin: 10px 0;
}

.btn-container {
	display: flex;
	justify-content: right;
	align-items: flex-end;
	width: 100%;
	margin-top: 30px;
}

.btn-container div {
	margin: 0 10px;
	width: 100px;
}

.btn-container.popup {
	justify-content: center;
	align-content: space-between;
}

body .btn-container.popup .cancel {
	margin-left: 20px;
	background-color: #808080;
	border-color: #808080;
}

body .btn-container.popup .cancel.ui-state-hover {
	background-color: #666666;
	border-color: #666666;
}

.card {
	background-color: #fafafa;
	border: 1px solid #E0E0E0;
	box-shadow: 2px 5px 1px -1px rgba(0, 0, 0, 0.2);
	border-radius: 4px;
	padding: 20px;
	margin: 10px 10px;
	margin-left: 0;
	display: flex;
	flex-flow: column nowrap;
	align-content: space-between;
}

.card.project-card {
	height: 280px;
}

.project-card * {
	color: #004f8c;
}

body .ui-progressbar .ui-progressbar-value {
	background: #004f8c; 
}

.all-tasks-card {
	height: 100%;
}

.card-header {
	display: flex;
	flex: 1 1 auto;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
}

.card .header {
	padding: 2px;
}

.card .description {
	padding: 2px;
	flex: 1 1 auto;
}

.card .footer {
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	align-items: center;
}

.ui-progressbar {
	width: 80%;
}

.ui-datatable {
	height: 100%;
	width: 100%;
}

.settings {
	justify-content: center;
}

.settings .p-field {
	padding-bottom: 10px;
	margin-bottom: 20px;
}

.settings input {
	padding: 10px;
	font-size: 14px;
	border-radius: 4px;
}

body .ui-button {
	background-color: #F24405;
	border: 0 none;
}

body .ui-button.ui-state-hover {
	background-color: #D93D04;
	border: 0 none;
}

body .ui-button.ui-state-focus {
	background-color: #D93D04;
	border: 0 none;
}

.btn-update {
	width: 120px;
	margin-top: 20px; 
}

body .btn-container .form-button {
	width: 100px;
	margin-left: 10px;
} 

body .btn-container .form-button.btn-delete {
	background-color: #808080;
	border-color: #808080;
}

body .btn-container .form-button.btn-delete.ui-state-hover {
	background-color: #666666;
	border-color: #666666;
}

body .ui-confirmdialog-no  {
	background-color: #808080;
	border-color: #808080;
}

body .ui-confirmdialog-no.ui-state-hover  {
	background-color: #666666;
	border-color: #666666;
}

body .ui-button {
	border-radius: 12px;
}

.card .ui-datatable-header {
	text-align: right;
}

.ui-button.table-button {
	margin: 0 10px;
	padding: 0 5px;
}

/* --- ERROR PAGE ---*/
.error-container {
	position: fixed;
	height: 100vh;
	width: 100vw;
	margin: 0;
	background-color: #fafafa;
}

.error-message {
	position: absolute;
	margin: 0;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	text-align: center;
}
/* --- END OF ERROR PAGE ---*/

.image-wrapper {
	display: flex;
	justify-content: center;
	align-items: flex-end;
	margin-left: 20px;
	margin-bottom: 20px;
	margin-right: 20px;
	padding-bottom: 20px;
	border-bottom: 2px solid #6666;
}

#picture-upload {
	height: 40px;
}

/* --- NAVBAR --- */
.navbar {
	position: fixed;
	top: 0;
	right: 0;
	border: 0;
	width: 100%;
	height: 40px;
	min-height: 40px;
	background-color: #004F8C;
	display: flex;
	flex-flow: row nowrap;
	justify-content: flex-end;
	z-index: 1000;
}

.unstyled-list {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

.navbar .unstyled-list li {
	float: right;
	display: block;
	margin: 5px 10px;
}

.navbar .ui-button {
	padding: 0 10px;
	margin: 0;
	border: none;
	display: inline-block;
	text-align: center;
	text-decoration: none;
}
/* --- END OF NAVBAR --- */

/* --- SIDEBAR --- */
.sidebar {
	position: fixed;
	top: 40px;
	left: 0;
	bottom: 0;
	width: 200px;
	border-right: 2px solid #E0E0E0;
	background-color: #FAFAFA;
	display: flex;
	flex-flow: column nowrap;
	justify-content: space-between;
	z-index: 999;
}

.sidebar .unstyled-list li {
	display: block;
	margin: 20px;
}

.sidebar li a {
	text-decoration: none;
	display: flex;
	align-items: center;
	color: #666;
	padding: 10px 16px;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link.ui-state-hover {
	background-color: #007ad9;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link.ui-state-hover .ui-menuitem-text {
	color: #fefefe;
}

.sidebar li:hover {
	background-color: #5eaaa8;
}

.sidebar li a:hover {
	color: #e8ded2;
}
/* --- END OF SIDEBAR --- */

body .ui-menu {
	width: inherit;
	height: 100vh;
	padding: 0;
	margin: 0;
	border: 0;
	background-color: inherit;
}

.ui-menuitem i {
	width: 20px;
	height: 20px;
}

.menu-item-text {
	margin-left: 10px;
}

.success-container {
	position: absolute;
	margin: 0;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.msg-header h3 {
	font-size: 2rem;
}

.msg-link {
	text-align: center;
}

.btn-add {
	width: 100%;
	height: 20px;
}

body .btn-add .ui-button {
	width: 130px;
	height: 30px;
	float: right;
}

/* --- CREATE FORMS --- */

.form-element {
	margin: 10px 0;
	padding-bottom: 10px;
}

.project {
	margin-bottom: 25px;
}

/* --- END OF CREATE FORMS --- */

.settings.btn-submit {
	width: 100px;
}

.team-info p {
	font-weight: bold;
	font-size: 1.2rem;
	margin-bottom: 5px;
}

.team-select .ui-selectonemenu {
	width: 220px;
}

.team-info .data {
	margin-left: 20px;
}

.upload-form {
	margin-left: 20px;
}